Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
CursorConfig..::.Priority Field
CursorConfig Class See Also Send Feedback

The cache priority for pages referenced by the cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public CachePriority Priority

Visual Basic (Declaration)
    Public Priority As CachePriority

Visual C++
    public:
    CachePriority^ Priority

# Remarks

The priority of a page biases the replacement algorithm to be more or less likely to discard a page when space is needed in the buffer pool. The bias is temporary, and pages are eventually discarded if they are not referenced again. The setting is only advisory, and does not guarantee pages will be treated in a specific way.

# See Also

CursorConfig Class
BerkeleyDB Namespace